| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
compressor.hpp File Reference
Private

compression engine implementation More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "integers.hpp"`
`#include "wrapperlib.hpp"`

Go to the source code of this file.

## Classes
class | libdar::compressor
| compression class for gzip and bzip2 algorithms More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | libdar::compression { libdar::none = 'n', libdar::gzip = 'z', libdar::bzip2 = 'y', libdar::lzo = 'l', libdar::xz = 'x', libdar::lzo1x_1_15 = 'j', libdar::lzo1x_1 = 'k' }
| the different compression algorithm available More...

## Functions
compression | libdar::char2compression (char a)
char | libdar::compression2char (compression c)
std::string | libdar::compression2string (compression c)
compression | libdar::string2compression (const std::string &a)

## Detailed Description

compression engine implementation

Definition in file compressor.hpp.